Class Specialization
SimpleSeed
Describes a seed with start and end position and diagonal upper and lower bounds.

Seed

SimpleSeed

Seed<TPosition, SimpleSeed>
Parameters

TPosition | The type number that schuld be used. Must have negative numbers (e.g. int/long).

Specialization of
Seed
Metafunctions

Spec | The spec of a class. (Seed)
Value | Type of the items in the container. (Seed)

Member Functions

Seed | Constructor

Functions

addSeed | Adds a seed to an existing set. (Seed)
bandedAlignment | Calculates a banded alignment around a Seed. (Seed)
dimension | Dimension of a seed. (Seed)
endDiagonal | Returns the diagonal of the end point. (Seed)
extendSeed | Extends a seed. (Seed)
extendSeedScore | Extends a seed and increases the score. (Seed)
leftDiagonal | Returns the most left diagonal of the seed (maximum diagonal value). (Seed)
leftDim0 | Returns the first position of the seed in the query. (Seed)
leftDim1 | Returns the first position of the seed in the database. (Seed)
leftPosition | The begin position of segment in a seed. (Seed)
rightDiagonal | Returns the most right diagonal of the seed (minimum diagonal value). (Seed)
rightDim0 | Returns the last position of the seed in the query. (Seed)
rightDim1 | Returns the last position of the seed in the database. (Seed)
rightPosition | The end position of segment in a seed. (Seed)
setLeftDiagonal | Sets a new value for the most left diagonal. (Seed)
setLeftDim0 | Updates the start point of the seed. (Seed)
setLeftDim1 | Updates the start point of the seed. (Seed)
setLeftPosition | Sets begin position of segment in a seed. (Seed)
setRightDiagonal | Sets a new value for the most right diagonal. (Seed)
setRightDim0 | Updates the end point of the seed. (Seed)
setRightDim1 | Updates the end point of the seed. (Seed)
setRightPosition | Sets end position of segment in a seed. (Seed)
startDiagonal | Returns the diagonal of the start point. (Seed)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:52